Subject: Re: [PATCH net-next-2.6] net/ipv4: push IP options to CB in ip_fragment

From: Bandan Das <[email-masked]>
Date: Sun, 19 Sep 2010 15:36:01 -0400

On  0, David Miller <[email-masked]> wrote:
> From: Herbert Xu <[email-masked]>
> Date: Fri, 17 Sep 2010 14:51:17 +0800
> 
> > On Wed, Sep 15, 2010 at 01:32:09PM -0400, Bandan Das wrote:
> >>
> >> Sorry for the late response. Here's a patch that I put up based on Herbert's
> >> suggestions. I ofcourse don't see the problem anymore after 
> >> commit 87f94b4e91dc042620c527f3c30c37e5127ef757 but a generic helper such as this 
> >> can be used anytime the bridge code is sending a packet over to the IP layer. 
> >> Compile tested only but based on responses, will test it before submitting a 
> >> final change. Also added it at two places where I know we do send a packet over to
> >> the IP layer. I will add it at other places later as I come across them.
> > 
> > Looks fine to me.
> 
> Bandan, please submit this formally with proper commit message,
> signoff, also the new function you added needs a minor coding
> style fix, there needs to be a space after "if" and the openning
> left parenthesis.
> 
> Thanks.

Submitted. And also incorporated the coding style fixes you mentioned.

Thanks
Bandan